> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Link Transactions



## OpenAPI

````yaml openapi.json get /payment-link/transactions
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payment-link/transactions:
    parameters: []
    get:
      tags:
        - Payment Link
      summary: Payment Link Transactions
      parameters:
        - name: paymentLinkId
          in: query
          required: false
          example: 2ac8a9cc-b56e-4575-ae65-6fbe05e45a74
          schema:
            type: integer
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: size
          in: query
          required: false
          example: '100'
          schema:
            type: integer
        - name: status
          in: query
          required: false
          example: PENDING
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          description: ACTIVE | INACTIVE
          example: '2024-09-10'
          schema:
            type: integer
        - name: endDate
          in: query
          required: false
          example: '2024-10-10'
          schema:
            type: integer
        - name: reference
          in: query
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: {}
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,X-Partner-Access-Token,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            ETag:
              schema:
                type: string
              example: W/"993-o7+qfVan4vQE8D3J+PHIYj6WyMQ"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Content-Encoding:
              schema:
                type: string
              example: gzip
            Date:
              schema:
                type: string
              example: Fri, 16 May 2025 13:23:58 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
            Transfer-Encoding:
              schema:
                type: string
              example: chunked
          description: Payment Link Transactions - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      size:
                        type: integer
                      page:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
                      transactions:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            bearer:
                              type: string
                            status:
                              type: string
                            amount:
                              type: integer
                            charges:
                              type: integer
                            category:
                              type: string
                            reference:
                              type: string
                            amountPaid:
                              type: integer
                            subaccountId:
                              nullable: true
                            subAccountShare:
                              type: integer
                            subAccountSettlement:
                              type: integer
                            instantSettlement:
                              type: boolean
                            mainAccountShare:
                              type: integer
                            mainAccountSettlement:
                              type: integer
                            paymentMethod:
                              type: string
                            createdAt:
                              type: string
                              format: date-time
                            merchant:
                              type: object
                              properties:
                                id:
                                  type: string
                                businessName:
                                  type: string
                            rrn:
                              type: string
                              format: utc-millisec
                            last4:
                              type: string
                              format: utc-millisec
                            paidAt:
                              type: string
                              format: date-time
                            scheme:
                              type: string
                            currency:
                              type: string
                            cardNumber:
                              type: string
                            terminalId:
                              type: string
                            subaccountShare:
                              type: integer
                            hasActiveSubaccount:
                              type: boolean
                            subaccountSettlement:
                              type: integer
                            totalSettlementAmount:
                              type: integer
              example:
                status: true
                message: Operation is successful
                data:
                  size: 100
                  page: 1
                  totalRecords: 3
                  totalPages: 1
                  transactions:
                    - id: acc4af33-0cf1-482b-92b9-3335143985d4
                      bearer: account
                      status: SUCCESS
                      amount: 300
                      charges: 100
                      category: paymentLink
                      reference: n6sNZckO1LSdLk3VdaJalp2U7pW2tLCPb5cz
                      amountPaid: 300
                      subaccountId: null
                      subAccountShare: 0
                      subAccountSettlement: 0
                      instantSettlement: false
                      mainAccountShare: 200
                      mainAccountSettlement: 200
                      paymentMethod: Card
                      createdAt: '2025-08-10T15:35:51.973Z'
                      merchant:
                        id: 3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84
                        businessName: Kimpembe
                      rrn: '000106923853'
                      last4: '7499'
                      paidAt: '2025-08-10T03:33:45.000Z'
                      scheme: VERVE
                      currency: NGN
                      cardNumber: ''
                      terminalId: 3PXM0001
                      subaccountShare: 0
                      hasActiveSubaccount: false
                      subaccountSettlement: 0
                      totalSettlementAmount: 200
                    - id: a58e19d7-1612-46f2-af73-b2aabf94ac13
                      bearer: account
                      status: SUCCESS
                      amount: 300
                      charges: 5.1
                      category: paymentLink
                      reference: GDpHY6jxMkNmcEm548fhkTeRax2JbF
                      amountPaid: 300
                      subaccountId: null
                      subAccountShare: 0
                      subAccountSettlement: 0
                      instantSettlement: true
                      mainAccountShare: 294.9
                      mainAccountSettlement: 294.9
                      paymentMethod: Bank
                      createdAt: '2025-08-10T15:29:00.423Z'
                      merchant:
                        id: 3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84
                        businessName: Kimpembe
                      fields:
                        customerEmail: access2emma@gmail.com
                      paidAt: '2025-08-10T15:28:58.928Z'
                      walletId: 8875d0ea-f339-4b77-8555-e23c8537d0f5
                      narration: Testing
                      sessionId: '999270250810162858599664567869'
                      isPaymentLink: true
                      paymentLinkId: 9137d72c-34be-4728-ba14-619c9dbdab71
                      settledAmount: 294.9
                      paymentReference: l-HXsRvCV4Icdlpivxcp9XZUPIJKf2Nw
                      customerReference: XVVUSN5KS9E2RJMGtLH47z9bPhBjQ0d2Czxt
                      originatorBankCode: '999270'
                      originatorBankName: Monieswitch Test Bank
                      beneficiaryBankCode: '999270'
                      beneficiaryBankName: Xpress Wallet
                      originatorAccountName: Emmanuel
                      totalSettlementAmount: 294.9
                      beneficiaryAccountName: Kimpembe
                      originatorAccountNumber: '0167421242'
                      beneficiaryAccountNumber: '4400453747'
                      originatorBankVerificationNumber: ''
                      beneficiaryBankVerificationNumber: ''
                    - id: d80bab61-570f-4f06-8554-b3b9f1173c7b
                      bearer: account
                      status: null
                      amount: 300
                      charges: 5.1
                      category: paymentLink
                      reference: GDpHY6jxMkNmcEm548fhkTeRax2JbF
                      amountPaid: 300
                      subaccountId: null
                      subAccountShare: 0
                      subAccountSettlement: 0
                      instantSettlement: true
                      mainAccountShare: 294.9
                      mainAccountSettlement: 294.9
                      paymentMethod: null
                      createdAt: '2025-08-05T22:11:24.480Z'
                      merchant:
                        id: 3aed8fe9-2c60-48fe-bea4-71ea8c8f3c84
                        businessName: Kimpembe
                      email: access2emma@gmail.com
                      paidAt: '2025-08-05T22:11:20.850Z'
                      walletId: 439f64fa-2eff-48bc-b783-fe166801bfad
                      narration: Testing
                      sessionId: '999270250805231120590520588799'
                      isPaymentLink: true
                      paymentLinkId: 9137d72c-34be-4728-ba14-619c9dbdab71
                      settledAmount: 294.9
                      paymentReference: l-Mo6G4eUoWIlBATzVaaxSLftIHDJVNx
                      customerReference: c4HCCL4taY3r4BzUVsqNQ8bPW0CpKxQpuyMD
                      originatorBankCode: '999270'
                      originatorBankName: Monieswitch Test Bank
                      beneficiaryBankCode: '999270'
                      beneficiaryBankName: Xpress Wallet
                      originatorAccountName: Emmanuel
                      totalSettlementAmount: 294.9
                      beneficiaryAccountName: Kimpembe
                      originatorAccountNumber: '0167421242'
                      beneficiaryAccountNumber: '4473479279'
                      originatorBankVerificationNumber: ''
                      beneficiaryBankVerificationNumber: ''
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````